const int LED=9;
void setup()
{
  pinMode(LED,OUTPUT);
}
void loop()
{
  /*Цикл for: Объявление цикла всегда содержит 3 элемента разделенные точка с запятой. Первый элемент объявляет и инициирует переменную счетчика цикла. Второй элемент задает условия исполнения цикла. Цикл будет исполняться до тех пор, пока
   * не выполнится это условие. Оператор <= означает меньше или равно. Таким образом код данного цикла будет исполняться до тех пор, пока значение переменной не превысит 1000. Третий элемент содержит число на которое нужно увеличить значение счетчика цикла в конце каждой итерации.
   * В данном случае к текущему значениюсчетчика добавляется 100.*/
  for (int i=100; i<=1000; i=i+100)
  {
    digitalWrite(LED,HIGH);
    delay(i);
    digitalWrite(LED,LOW);
    delay(i);
  }
}

